Subject: bug#19145: 24.4; prettify-symbols-mode inconsistent behavior

From: Ted Zlatanov <[email-masked]>
Date: Tue, 25 Nov 2014 04:49:11 -0500

On Mon, 24 Nov 2014 09:53:43 -0500 Stefan Monnier <[email-masked]> wrote: 

SM> Duh!  Sorry, I somehow failed to see "python-mode" in your original
SM> bug report.  So yes, you're trying to prettify subparts of identifiers,
SM> and prettify-symbols-mode currently provides no support at all for that.
...
SM> But w.r.t "delta" in "delta_x" it would make a lot of sense for
SM> prettify-symbols-mode to provide support for that.

I don't think it would--I would keep `prettify-symbols-mode' strict. I
think Ken needs a different mode that's yet to be written:
`prettify-regex-mode'?

"delta_x" is an entirely different thing from "delta" in all the
programming languages I can think of, so I would not expect to see δ_x
all over the code just because I want to prettify deltas themselves. If
anything, it would make finding the real standalone deltas harder.

Ted